For the complete documentation index, see llms.txt. This page is also available as Markdown.

Unsubscribed Contacts

List Unsubscribed Contacts

get

Retrieves a paginated list of all contacts who have unsubscribed from a specific program's Outreach communications.

Path parameters
AccountSIDstringRequired
CampaignIdintegerRequired

The unique identifier for the program.

Query parameters
PartnerIdintegerOptional

Filter by partner ID.

UserEmailstring · emailOptional

Filter by a specific user email.

PageintegerOptional

The page number to retrieve, starting at 0.

Default: 0
PageSizeinteger · max: 1000Optional

The number of items per page. Maximum is 1000.

Default: 20
Responses
200

A paginated list of unsubscribed contacts.

application/json
PageintegerOptional

The current page number. Starts at 0.

Example: 0
NumPagesintegerOptional

The total number of pages available.

Example: 1
PageSizeintegerOptional

The number of items per page. The maximum is 1000.

Example: 20
TotalintegerOptional

The total number of unsubscribed contact records.

Example: 1
StartintegerOptional

The index of the first item on the current page.

Example: 0
EndintegerOptional

The index of the last item on the current page.

Example: 1
Uristring · uri-referenceOptional

The URI for the current page of results.

Example: /UnsubscribedContacts?page=0&size=20
FirstPageUristring · uri-referenceOptional

The URI for the first page of results.

Example: /UnsubscribedContacts?page=0&size=20
PreviousPageUristring · uri-reference · nullableOptional

The URI for the previous page of results, if any.

NextPageUristring · uri-reference · nullableOptional

The URI for the next page of results, if any.

LastPageUristring · uri-referenceOptional

The URI for the last page of results.

Example: /UnsubscribedContacts?page=0&size=20
get/Advertisers/{AccountSID}/Campaigns/{CampaignId}/UnsubscribedContacts
GET /Advertisers/{AccountSID}/Campaigns/{CampaignId}/UnsubscribedContacts HTTP/1.1
Host: api.impact.com
Accept: */*
200

A paginated list of unsubscribed contacts.

{
  "Page": 0,
  "NumPages": 1,
  "PageSize": 20,
  "Total": 1,
  "Start": 0,
  "End": 1,
  "Uri": "/UnsubscribedContacts?page=0&size=20",
  "FirstPageUri": "/UnsubscribedContacts?page=0&size=20",
  "PreviousPageUri": "",
  "NextPageUri": "",
  "LastPageUri": "/UnsubscribedContacts?page=0&size=20",
  "Results": [
    {
      "UserEmail": "partnerA@mail.com",
      "PartnerId": 1234,
      "CreatedAt": "2026-02-05T12:13:08Z",
      "UpdatedAt": "2026-02-05T12:13:08Z"
    }
  ]
}

Unsubscribe a Contact

post

Unsubscribes a contact from a specific program's Outreach communications on behalf of a partner.

Path parameters
AccountSIDstringRequired
CampaignIdintegerRequired

The unique identifier for the program.

Body
PartnerIdintegerRequired

The unique identifier for the Partner associated with the contact.

Example: 2552842
UserEmailstring · emailRequired

The email address of the contact to unsubscribe.

Example: wile.coyote@example.com
Responses
200

A confirmation object indicating success.

application/json
StatusstringOptional

Indicates whether the operation was successful.

Example: OK
Uristring · uri-referenceOptional

The unique reference to the affected resource.

post/Advertisers/{AccountSID}/Campaigns/{CampaignId}/UnsubscribedContacts
POST /Advertisers/{AccountSID}/Campaigns/{CampaignId}/UnsubscribedContacts HTTP/1.1
Host: api.impact.com
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 59

"PartnerId=2552842&UserEmail='wile.coyote@example.com'"
200

A confirmation object indicating success.

{
  "Status": "OK",
  "Uri": "../folder"
}

Last updated